#
# spec file for package sblim-cmpi-network (Version 1.3.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libidn libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-base sblim-cmpi-base-devel sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-cmpi-network
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-cmpi-base-devel sblim-indication_helper-devel sblim-testsuite
Version:        1.3.8
Release:        0.7
Group:          System/Management
License:        IBM Public License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       sblim-cmpi-base, cim-server
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh
URL:            http://www-124.ibm.com/sblim/
Source:         http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Summary:        SBLIM Network Instrumentation

%description
Standards Based Linux Instrumentation Network Providers. The Network
Instrumentation allows you to get information about the network
configuration of a system via CIMOM technology/infrastructure.



Authors:
--------
    SBLIM Project

%debug_package
%prep
%setup

%build
%configure
%{__make}

%install
%makeinstall docdir=%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Network.mof

%preun 
if [ "$1" = "0" ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Network.mof
fi

%files
%defattr(-,root,root) 
%{_includedir}/sblim/OSBase_CommonNetwork.h
%{_libdir}/cmpi/libcmpiOSBase_*.a
%{_libdir}/cmpi/libcmpiOSBase_*.la
%{_libdir}/cmpi/libcmpiOSBase_*.so*
%{_libdir}/libOSBase_CommonNetwork.a
%{_libdir}/libOSBase_CommonNetwork.la
%{_libdir}/libOSBase_CommonNetwork.so
%{_libdir}/libOSBase_CommonNetwork.so.0
%{_libdir}/libOSBase_CommonNetwork.so.0.0.0
%doc %{_docdir}/%{name}/
%{_datadir}/%{name}
%{_datadir}/sblim-testsuite/cim/*.cim
%{_datadir}/sblim-testsuite/system/linux/*.system
%{_datadir}/sblim-testsuite/system/linux/*.pl
%{_datadir}/sblim-testsuite/test-cmpi-network.sh

%changelog
* Wed Feb 14 2007 - mrueckert@suse.de
- update to version 1.3.8
  - Fixed data gathering that caused seg faults (#241642)
  - Fixed unresolved symbols in shared lib (#242275)
* Wed Mar 15 2006 - mrueckert@suse.de
- update to version 1.3.7 (#142308)
  (fixes the following upstream bugs)
  o Bugs 1199129, 1203849: Updates for warning-free compilation
  with CMPI headers >= 1.0.0.
  o Bugs 1353262: Better support for Fedora/RH RPM environment.
  o Bugs 1285011: 1285324: Fixed portability issues.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 14 2005 - mrueckert@suse.de
- Update to version 1.3.6
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Wed May 12 2004 - nashif@suse.de
- Do not De-register when updating package
* Mon May 10 2004 - nashif@suse.de
- Dereigster providers when uninstalling (#39667)
* Tue May 04 2004 - nashif@suse.de
- Removed binaries from tar archive (fixes #39844)
* Fri Apr 30 2004 - nashif@suse.de
- Update to version 1.2.5
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr 07 2004 - nashif@suse.de
- Initial release
